var win = Ti.UI.currentWindow;

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

//Définition des valeurs Iphone / Android

var paramMobile = [
		{
			mobile: 'iphone',
			fontSize: 17,
			buttonHeight: 30,
			buttonWidth: 200,
			topTitre: 50,
			topAdresse: 80,
			topTelephone: 160,
			topFax: 190,
			topContact: 225,
			topFacebook: 310,
			topSite: 270
		},
		{
			mobile: 'android',
			fontSize: 25,
			buttonHeight: 50,
			buttonWidth: 250,
			topTitre: 50,
			topAdresse: 100,
			topTelephone: 200,
			topFax: 250,
			topContact: 300,
			topFacebook: 400,
			topSite: 350
		},
		];

//Par défaut on prend les valeurs Iphone
param = paramMobile[0];
	
if(true == isAndroid) {
	param = paramMobile[1];
}

//alert(param.mobile);

//Airaq
var titre = Ti.UI.createLabel({
		top: param.topTitre,
		height: 'auto',
		width: 'auto',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'bold'
		},
		
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		},
		text: 'AIRAQ',
		textAlign : 'center'

	});

//Adresse	
var adresse = Ti.UI.createLabel({
		top:param.topAdresse,
		height:'auto',
		width: 'auto',
		text: '13, allée James Watt \n Parc d\'activités Chemin Long\n33 692 Mérignac Cedex',
		textAlign : 'center',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'normal'
		},
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		}
	
});

var telephone = Ti.UI.createButton({
		top: param.topTelephone,
		title: 'tel: 05 56 24 35 30',
		textAlign : 'center',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'normal'
		},
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		},
		width : param.buttonWidth,
		height: param.buttonHeight	
});

var fax = Ti.UI.createLabel({
		top: param.topFax,
		height:'auto',
		width: 'auto',
		text: 'fax: 05 56 24 24 06',
		textAlign : 'center',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'normal'
		},
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		}
});

var contact = Ti.UI.createButton({
		top: param.topContact,
		title: 'Contactez nous',
		textAlign : 'center',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'normal'
		},
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		},
		width : param.buttonWidth,
		height: param.buttonHeight
});

var imageFond = Ti.UI.createImageView({
	image: '../images/logo.png',
	opacity: 0.2,
	width: 300,
	height: 300
});



var imageFacebook = Ti.UI.createButton({
	top: param.topFacebook,
	image: '../images/facebook_icone.png',
	width: 52,
	height: 52,
	color:'#FFFFFF'
});

var site = Ti.UI.createButton({
		top: param.topSite,
		height: param.buttonHeight,
		width: param.buttonWidth,
		title: 'Site Internet',
		textAlign : 'center',
		font: {
			fontSize: param.fontSize,
			fontFamily: 'Verdana',
			fontWeight:'normal'
		},
		color:'#4D576D',
		shadowColor:'#FAFAFA',
		shadowOffset: {
			x:0,
			y:1
		}
});



contact.addEventListener('click', function() {
		var emailDialog = Ti.UI.createEmailDialog();
		emailDialog.subject = "Demande d'information";
		emailDialog.toRecipients = ['contact@airaq.asso.fr'];
		emailDialog.messageBody = 'message';
		emailDialog.open();
});

telephone.addEventListener('click', function(){
		Ti.Platform.openURL('tel:0556243530');	
	
});

imageFacebook.addEventListener('click', function(){
		Ti.Platform.openURL('http://www.facebook.com/pages/Airaq-Atmo-Aquitaine/155375701193238');
});

site.addEventListener('click', function(){
		Ti.Platform.openURL('http://www.airaq.asso.fr');	
});

//Pas d'image de fond pour Android
if (isAndroid == false){
	win.add(imageFond);
}

win.add(titre);
win.add(adresse);
win.add(telephone);
win.add(fax);
win.add(contact);
win.add(site);
win.add(imageFacebook);
