var win = Ti.UI.currentWindow;

//Récupération des données importées dans le flux
var datas = [];
var afficheDatas = [];
var x = 0;

datas = Ti.App.Properties.getList("dataAtmoSave");

var table1 =  Titanium.UI.createTableView({
	style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
	backgroundColor:'transparent'
});


//section.headerTitle = 'libelle';
var section = Titanium.UI.createTableViewSection();
	
//sectionLegende.headerTitle = 'Légende';
var sectionLegende = Ti.UI.createTableViewSection({
	headerTitle: 'Légende'
});

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

var fontSize1 = 17;
var fontSize2 = 14;
var imageAndroid = '';	

if(true == isAndroid) {
	fontSize1 = 25;
	fontSize2 = 20;
	imageAndroid = '@2x';
}

//Création de la liste
for (var c=0;c<datas.length;c++)
		{
			var data = datas[c];
		
		
			var row = Ti.UI.createTableViewRow({
				hasChild: true,
				backgroundColor:'#EEEEEE'
				});
				
				//Ville
				var label = Ti.UI.createLabel({
				    top:5, left:60,
				    height:'auto',
				    width: 200,
				    text:data.ville,
				    font:{fontSize: fontSize1, fontFamily: 'Verdana', fontWeight:'bold'},
				    color:'#4D576D',
				    shadowColor:'#FAFAFA',
				    shadowOffset:{x:0, y:1}
				});
				
				// Détail indice
				var detail = Ti.UI.createLabel({
					top: 30, left:60,
					height: 'auto',
					width: 250,
					font:{fontSize:fontSize2, fontFamily: 'Verdana', fontWeight:'normal'},
				    color:'#4D576D',
				    shadowColor:'#FAFAFA',
				    shadowOffset:{x:0, y:1},
				    //text: 'SO2: ' + data.SO2_jour + ' / NO2: ' + data.NO2_jour + ' / 03: ' + data.O3_jour + ' / PS: ' + data.PS_jour 
					text: data.libelle+', '+ data.indice_evol
					
				});
				
				var logo = Ti.UI.createView({
					height : 48,
					width : 48,
					left: 5,
					top: 5,
					bottom: 5,
					backgroundImage : '../images/'+data.indice_jour+imageAndroid+'.png'
				});
				
				//Ajout des données dans la ligne
				row.height = 'auto';
				row.add(logo);
				row.add(label);
				row.add(detail);
				
				//afficheDatas[x++] = row;
				section.add(row);
				row.titre = data.ville;
				row.id = c;
	
		};
		
//Fin du for		

afficheDatas[0] = section;


//Création de la légende
function createLegende(logo, libelle,offset)
{
	var rowL = Ti.UI.createTableViewRow({
		backgroundColor:'#EEEEEE',
		haschild: false
	});
				
	//Légende
	var label = Ti.UI.createLabel({
	    top:10, left:60,
	    height:'auto',
	    width: 300,
	    text:libelle,
	    font:{fontSize: fontSize2, fontFamily: 'Verdana', fontWeight:'bold'},
	    color:'#4D576D',
	    shadowColor:'#FAFAFA',
	    shadowOffset:{x:0, y:1}
	});
	
	//Pastille de couleur
	var logo = Ti.UI.createView({
		height : 48,
		width : 48,
		left: 5,
		top: 5,
		bottom: 5,
		backgroundImage : '../images/'+logo+'.png'
	});
	
	//Ajout des données dans la ligne
	rowL.height = 'auto';
	rowL.add(logo);
	rowL.add(label);
	rowL.id = offset;
		
	return rowL;
}

//Création des trois légendes
sectionLegende.add(createLegende('vert','1 à 4: Très bon à bon',10));
sectionLegende.add(createLegende('jaune','5 à 7: Moyen à médiocre',11));
sectionLegende.add(createLegende('rouge','8 à 10: Mauvais à très mauvais',12))


afficheDatas[1] = sectionLegende;

table1.setData(afficheDatas); 

var imageFond = Ti.UI.createImageView({
	image: '../images/logo.png',
	opacity: 0.2,
	width: 300,
	height: 300,
	zIndex:0
});




//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

if(false == isAndroid) {
	Titanium.UI.currentWindow.add(imageFond);
};

win.add(table1);


//Gestion du clic
table1.addEventListener('click',function(e)
{
	if(e.row.id > 9){
		return null;
	}
	
	Ti.App.Properties.setInt("idVille",e.row.id);	
	var w = Ti.UI.createWindow({
		url:"aff_detail_ville_ATMO.js",
		backgroundColor: '#FFF',
		title:e.row.titre,
    	barColor:'#05478C'
    });
	
	//Bouton fermer pour revenir à la liste
			var b = Titanium.UI.createButton({
				title:'Fermer',
				style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN
			});
			w.setLeftNavButton(b);
			b.addEventListener('click',function()
			{
				w.close();
			});
	
	/*
	w.open({modal:true,modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_FLIP_HORIZONTAL,
    modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET});
    */
   
   w.open(
   	{
   		modal:true,
   		modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_CROSS_DISSOLVE,
    	modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET
    });
});