var win = Ti.UI.currentWindow;


//Récupération des données
datas = Ti.App.Properties.getList("dataAtmoSave");

win.title = "Indice du "+ datas[0].date_jour;

var mapView = Ti.Map.createView({
	mapType : Ti.Map.STANDARD_TYPE,
	animate : true,
	region : true,
	userLocation : false
});

win.add(mapView);
	
//Positionnement de la carte sur l'Aquitaine	
mapView.region = {
		latitude : "44.3081",
		longitude : "-0.29958",
		latitudeDelta : 1.5,
		longitudeDelta : 1.5
	};	

var btnInfo = Ti.UI.iPhone.SystemButton.INFO_LIGHT;

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

var imageAndroid = '';
if(true == isAndroid) {
	btnInfo = '../images/tabstat-blanc.png';
	imageAndroid = '@2x';

}


//Postionnement des points de mesures	
for (var c=0;c<datas.length;c++)
	{
		var annotation = Ti.Map.createAnnotation({
			latitude : datas[c].latitude,
			longitude : datas[c].longitude,
			animate : true,
			title : datas[c].ville,
			subtitle : datas[c].libelle,
			rightButton : btnInfo,
			numeroRepere : c,
			image: '../images/vert.png'
		});
		

		//Le dimanche pas de mesure donc pas d'image.
		if (datas[c].indice_jour != ''){
			annotation.image = '../images/' + datas[c].indice_jour + imageAndroid + '.png';
		}
	
		mapView.addAnnotation(annotation);
};

mapView.addEventListener('click',function(e){
	
	//Si on clique sur l'icone
	//if(e.clicksource == 'rightButton'){
	if(e.clicksource == 'rightButton' || e.clicksource == 'title' || e.clicksource == "subtitle"){
	
		
		Ti.App.Properties.setInt("idVille",e.annotation.numeroRepere);	
		var w = Ti.UI.createWindow({
			url:"aff_detail_ville_ATMO.js",
			backgroundColor: '#FFF',
			title:e.annotation.title,
			barColor: "#05478C"
		});
	
	
	//Bouton fermer pour revenir à la liste
			var b = Titanium.UI.createButton({
				title:'Fermer',
				style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN
			});
			w.setLeftNavButton(b);
			b.addEventListener('click',function()
			{
				w.close();
			});
	
		/*
	w.open({modal:true,modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_FLIP_HORIZONTAL,
    modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET});
    */
   
	   w.open(
	   	{
	   		modal:true,
	   		modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_CROSS_DISSOLVE,
	    	modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET
	    });
		
	};
});