
Titanium.Network.registerForPushNotifications({
    types:[
        Titanium.Network.NOTIFICATION_TYPE_BADGE,
        Titanium.Network.NOTIFICATION_TYPE_ALERT,
        Titanium.Network.NOTIFICATION_TYPE_SOUND
    ],
    success: successCallback,
    error: errorCallback,
    callback: messageCallback
});


function successCallback(e) {
    var request = Titanium.Network.createHTTPClient({
    	onload:function(e) {
		    if (request.status != 200 && request.status != 201) {
    	        request.onerror(e);
        	    return;
        	}
        },
        onerror:function(e) {
            alert("Erreur: un réseau 3G ou Wifi est nécessaire (code 23)");
        }
    });
 
   var params = {
   	'add':e.deviceToken
   };
   
   request.open('POST', 'http://www.airaq.asso.fr/mobile/',true);
   request.send(params);
};

function errorCallback(e) {
    alert("Erreur lors de l'enregistrement au système d'alerte: " + e.error);
}

function messageCallback(e) {
     var message;
     if(e['aps'] != undefined) {
          if(e['aps']['alert'] != undefined){
               if(e['aps']['alert']['body'] != undefined){
                    message = e['aps']['alert']['body'];
               } else {
                    message = e['aps']['alert'];
               }
          } else {
               message = 'No Alert content';
          }
     } else {
          message = 'No APS content';
     }
    // alert("message:"+message);
     //alert(e.data);
    
     //Remise à zéro du badge en cas d'alerte
	Ti.UI.iPhone.appBadge = 0;
}