var data = [];
var win = Titanium.UI.currentWindow;

var xhr = Ti.Network.createHTTPClient();

//Lib de nettoyage
Ti.include('../include/strip_tags.js');

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

var fontSize = 14;
	
if(true == isAndroid) {
	fontSize = 25;
}

//android
var actInd = Titanium.UI.createActivityIndicator({ height:50, width:10 });
 actInd.show();

xhr.open("GET","http://www.airaq.asso.fr/rss_actu/31-actualites.html");
xhr.onload = function()
{
	try
	{
		var doc = this.responseXML.documentElement;
		var items = doc.getElementsByTagName("item");
		var x = 0;
		
		for (var c=0;c<items.length;c++)
		{
			var item = items.item(c);
			
			var row = Ti.UI.createTableViewRow({height:'auto', hasDetail:true, layout:'vertical'});

			//Titre
			var titre = strip_tags(item.getElementsByTagName("title").item(0).text,'');
			var label = Ti.UI.createLabel({
				top:5,
				left:20,
				height:'auto',
				text: titre,
				font: {
					fontSize: fontSize,
					fontFamily: 'Verdana',
					fontWeight:'bold'
				},
				color:'#4D576D',
				shadowColor:'#FAFAFA',
				shadowOffset: {
					x:0,
					y:1			
				},
				right:5
			});
			
			/*
			 *
			 //Date de publication
			var datePub = item.getElementsByTagName("pubDate").item(0).text;
			var labelPub = Ti.UI.createLabel({
				top:40,
				left:20,
				height:'auto',
				text: datePub,
				font: {
					fontSize: fontSize,
					fontFamily: 'Verdana',
					fontWeight:'bold'
				},
				color:'#4D576D',
				shadowColor:'#FAFAFA',
				shadowOffset: {
					x:0,
					y:1			
				},
				right:5
				
			})
			
			*/
			
			//Description
			var labelDescription = strip_tags(item.getElementsByTagName("description").item(0).text, '');
			var detail = Ti.UI.createLabel({
				bottom: 5,
				left:20,
				height: 'auto',
				font: {
					fontSize: fontSize,
					fontFamily: 'Verdana',
					fontWeight:'normal'
				},
				color:'#4D576D',
				shadowColor:'#FAFAFA',
				shadowOffset: {
					x:0,
					y:1
				},
				text: labelDescription,
				right: 5
		
			});
			
			row.add(label);
			row.add(detail);
			
			
			
			data[x++] = row;
			row.url = item.getElementsByTagName("link").item(0).text;
			
		}
		var tableview = Titanium.UI.createTableView(
			{
				data:data
			}
		);
		
		Titanium.UI.currentWindow.add(tableview);
		
		tableview.addEventListener('click',function(e)
		{
			var w = Ti.UI.createWindow({title:'Actualités AIRAQ', barColor:'#05478C'});
			var wb = Ti.UI.createWebView({url:e.row.url});
			w.add(wb);
			var b = Titanium.UI.createButton({
				title:'Fermer',
				barColor:'#05478C',
				style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN
			});
			w.setLeftNavButton(b);
			b.addEventListener('click',function()
			{
				w.close();
			});
			w.open({modal:true});
		});
	}
	catch(E)
	{
		alert(E);
	}
	//on cache le loading android
	actInd.hide();
	
};
xhr.send();