var win = Ti.UI.currentWindow;

//Ajout du tableview
var afficheDatas = [];
var x = 0;
var urlInclude = '';



var section = Ti.UI.createTableViewSection({
	touchEnabled: false
});

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

var fontSize = 17;
	
if(true == isAndroid) {
	fontSize = 25;
}


function createLigne(logo, titre, ref){
	
	var row = Ti.UI.createTableViewRow({
		hasChild: true,	
		backgroundColor:'#EEEEEE'
				
	});
	
	//Titre
	var label = Ti.UI.createLabel({
	    top:5, left:60,
	    height:40,
	    width: 250,
	    text:titre,
	    font:{fontSize:	fontSize, fontFamily: 'Verdana', fontWeight:'bold'},
	    color:'#4D576D',
	    shadowColor:'#FAFAFA',
	    shadowOffset:{x:0, y:1}
	});
	
	
	
	var logo = Ti.UI.createImageView({
		height : 24,
		width : 24,
		left: 5,
		top: 5,
		bottom: 5,
		backgroundImage : '../images/'+logo+'.png'
	});
	
	//Ajout des données dans la ligne
	row.height = 'auto';
	row.add(logo);
	row.add(label);
	row.id = ref;
	row.titre = titre;
	
	section.add(row);
	
};
//fin de la fonction

createLigne('phone','Contact',0);
createLigne('notepad','Statut',1);
createLigne('mentions','Mentions Légales',2);
//createLigne('notepad','Paramètre',3);

afficheDatas[0] = section;


//Création de la tableview d'affichage		
var tableview = Titanium.UI.createTableView(
	{
		style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
		data:afficheDatas,
		backgroundColor:'transparent'
		
	}
);
//Image de fond
var imageFond = Ti.UI.createImageView({
	image: '../images/logo.png',
	opacity: 0.2,
	width: 300,
	height: 300
});

//On récupère le test Android
var isAndroid = Ti.App.Properties.getBool('Android');

if(false == isAndroid)
{
	win.add(imageFond);
};
win.add(tableview);

tableview.addEventListener('click',function(e)
{
	//Ti.App.Properties.setInt("idVille",e.row.id);	
	//alert(e.row.id);
	
	switch(e.row.id)
	{
		case 0:
			urlInclude = 'aff_contact.js';
		break;
		case 1:
			urlInclude = 'aff_status.js';
		break;
		case 2:
			urlInclude = 'aff_mentions.js';
		break;
		case 3:
			urlInclude = 'aff_param.js';
		break;
		
	}
					
	var w = Ti.UI.createWindow({
		url: urlInclude,
		backgroundColor: '#FFF',
		title:e.row.titre,
    	barColor:'#05478C'
    });
	
	//Bouton fermer pour revenir à la liste
			var b = Titanium.UI.createButton({
				title:'Fermer',
				style:Titanium.UI.iPhone.SystemButtonStyle.PLAIN
			});
			w.setLeftNavButton(b);
			b.addEventListener('click',function()
			{
				w.close();
			});
	
	
		/*
		w.open({modal:true,modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_FLIP_HORIZONTAL,
	    modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET});
	    */
	   
	   w.open(
	   	{
	   		modal:true,
	   		modalTransitionStyle: Ti.UI.iPhone.MODAL_TRANSITION_STYLE_CROSS_DISSOLVE,
	    	modalStyle: Ti.UI.iPhone.MODAL_PRESENTATION_FORMSHEET
	    });
    
});



